Create a task status Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/task-status

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • name string Required

    Name of the task status

  • colour string

    Colour of the task status

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      The name of the status

    • colour string

      Status colour

    • position integer

      The position of the status

    • is_type_completed boolean

      Whether the status is a completed status

    • is_archived boolean

      Whether the status is a archived status

    • is_not_started boolean

      Whether the status is a not started status

POST /api/v1/task-status
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/task-status' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Incomplete","colour":"#ff0000"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Incomplete",
  "colour": "#ff0000"
}
Response examples (201)
{
  "uuid": "2ac51c1b-51d1-4773-a6ce-ca5dccb22110",
  "created_at": "2026-06-08T16:08:02+01:00",
  "updated_at": "2026-06-08T16:08:02+01:00",
  "name": "Incomplete",
  "colour": "#398898",
  "position": 1,
  "is_type_completed": false,
  "is_archived": false,
  "is_not_started": false
}